Package org.globus.tools

# Class ProxyInit

java.lang.Object
org.globus.tools.ProxyInit

public abstract class ProxyInit extends Object
Initializes/creates a new globus proxy. This is a command-line tool. Please do not use it as a library.

## Field Summary

Fields
Modifier and Type
Field
Description
`protected int`
`bits`
`protected X509Certificate[]`
`certificates`
`protected boolean`
`debug`
`static final String`
`GENERIC_POLICY_OID`
`protected int`
`lifetime`
`protected GlobusCredential`
`proxy`
`protected ProxyCertInfo`
`proxyCertInfo`
`protected GSIConstants.CertificateType`
`proxyType`
`protected boolean`
`quiet`
`protected boolean`
`stdin`

## Constructor Summary

Constructors
Constructor
Description
`ProxyInit()`

## Method Summary

Modifier and Type
Method
Description
`void`
`createProxy(String cert, String key, boolean verify, boolean globusStyle, String proxyFile)`
`void`
`dispose()`
`protected static void`
`error(String error)`
`X509Certificate`
`getCertificate()`
`abstract void`
`init(String[] args)`
`abstract void`
`loadCertificates(String args)`
`abstract void`
`loadKey(String arg)`
`static void`
`main(String[] args)`
`void`
`setBits(int bits)`
`void`
`setDebug(boolean debug)`
`void`
`setLifetime(int lifetime)`
`void`
`setProxyCertInfo(ProxyCertInfo proxyCertInfo)`
`void`
`setProxyType(int proxyType)`
Deprecated.
`void`
`setProxyType(GSIConstants.CertificateType proxyType)`
`void`
`setQuiet(boolean quiet)`
`void`
`setStdin(boolean stdin)`
`abstract void`
`sign()`
`void`
`verify()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### GENERIC_POLICY_OID

public static final String GENERIC_POLICY_OID

See Also:
  - Constant Field Values

### certificates

protected X509Certificate[] certificates

### bits

protected int bits

### lifetime

protected int lifetime

### proxyCertInfo

protected ProxyCertInfo proxyCertInfo

### proxyType

protected GSIConstants.CertificateType proxyType

### quiet

protected boolean quiet

### debug

protected boolean debug

### stdin

protected boolean stdin

### proxy

protected GlobusCredential proxy

## Constructor Details

### ProxyInit

public ProxyInit()

## Method Details

### init

public abstract void init(String[] args)

### loadCertificates

public abstract void loadCertificates(String args)

### loadKey

public abstract void loadKey(String arg)

### sign

public abstract void sign()

### getCertificate

public X509Certificate getCertificate()

### dispose

public void dispose()

### verify

public void verify() throws Exception

Throws:
  `Exception`

### setBits

public void setBits(int bits)

### setLifetime

public void setLifetime(int lifetime)

### setProxyType

public void setProxyType(int proxyType)
Deprecated.

Parameters:
  `proxyType` -

### setProxyType

public void setProxyType(GSIConstants.CertificateType proxyType)

### setProxyCertInfo

public void setProxyCertInfo(ProxyCertInfo proxyCertInfo)

### setDebug

public void setDebug(boolean debug)

### setQuiet

public void setQuiet(boolean quiet)

### setStdin

public void setStdin(boolean stdin)

### createProxy

public void createProxy(String cert, String key, boolean verify, boolean globusStyle, String proxyFile)

### main

public static void main(String[] args)

### error

protected static void error(String error)